<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('product') }}</h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left: 280px">
          <router-link to="product">
            <a href="dashbaord">
              <font style="vertical-align: inherit">
                <font style="vertical-align: inherit"> {{ i18ntext.lngText('product') }} </font>
              </font>
            </a>
          </router-link>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <div class="search-box mb-4">
          <div class="search-box-title" id="Bars">
            <div id="bar" style="width: 90%">
              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <!-- Room-->
              <router-link to="" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add_room') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/room">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"> </i>
                      {{ i18ntext.lngText('room') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/view_room">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('view_room') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <!-- Room -->
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unit-size') }}
                    </a>
                  </router-link>
                </li>
                <li>
                    <router-link to="/pro_unittype">
                      <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                       <i class="fa fa-th-large" aria-hidden="true"></i>
                        {{ i18ntext.lngText('unittype') }}
                      </a>
                    </router-link>
                  </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                  margin-right: 0;width: 100%;">
                    <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    {{ i18ntext.lngText('stock-alert') }}
                  <span style="
                  background-color: red;
                  border-radius: 5px;
                  padding: 3px;
                  box-shadow: 1px 1px;
                  color: #333;">
                  {{ stockcount }} {{ i18ntext.lngText('item') }}
                </span>
                </a>
              </router-link>
              <router-link to="/ex_alert">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                  margin-right: 0;width: 100%;">
                    <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                    {{ i18ntext.lngText('expire-alert1') }}
                  <span style="
                  background-color: red;
                  border-radius: 5px;
                  padding: 3px;
                  box-shadow: 1px 1px;
                  color: #333;">
                  {{ count_expire }} {{ i18ntext.lngText('item') }}
                </span>
                </a>
              </router-link>
            </div>
            <div id="right" style="width: 10%">
              <a
                class="btn-radius bt-pn btn btn-sm"
                data-bs-toggle="dropdown"
                aria-expanded="false"
                style="float: right; color: #f8f5b4; margin-top: -2px; margin-right: 11px"
              >
                <i class="fas fa-plus" style="padding-right: 5px"> </i>
                {{ i18ntext.lngText('menu') }}
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a
                    @click="showboom()"
                    class="dropdown-item btn btn-primary"
                    data-bs-toggle="modal"
                    data-bs-target="#staticBackdropss"
                    tabindex="10028"
                  >
                    <i class="fa-solid fa-circle-b"></i> {{ i18ntext.lngText('boom_pro') }}</a
                  >
                </li>
                <li>
                  <a
                    @click="getSuppliyerview()"
                    class="dropdown-item btn btn-primary"
                    data-bs-toggle="modal"
                    data-bs-target="#staticboomId"
                    tabindex="10028"
                  >
                    <i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText('print') }}</a
                  >
                </li>
              </ul>
            </div>
          </div>
          <!-- Button trigger modal -->
          <!-- Modal -->
          <div
            class="modal fade ui-modal"
            id="staticBackdrop"
            data-bs-backdrop="static"
            data-bs-keyboard="false"
            tabindex="-1"
            aria-labelledby="staticBackdropLabel"
            aria-hidden="true"
          >
            <div class="modal-dialog smallpopup">
              <div class="modal-content ui-dialog">
                <div class="ui-widget-header">
                  <h5 class="modal-title" id="staticBackdropLabel">
                    <span
                      class="ui-dialog-title"
                      id="ui-dialog-title-modal-edit-dialog"
                      >{{ this.title }}</span
                    >
                  </h5>
                  <span
                    class="ui-icon ui-icon-closethick btn-cancel"
                    data-bs-dismiss="modal"
                    aria-label="Close"
                  >
                  </span>
                </div>
                <div class="ui-dialog-content">
                  <div class="modal-body">
                    {{ this.message }}
                  </div>
                  <div class="modal-footer">
                    <div
                      class="button type2"
                      id="uniform-undefined"
                      data-bs-dismiss="modal"
                    >
                      <span
                        >No<input autocomplete="off"
                          type="button"
                          class="type2"
                          value="No"
                          style="width: 89px; opacity: 0"
                          onclick="edit_cancel()"
                          tabindex="10008"
                      /></span>
                    </div>
                    <div
                      class="button type2"
                      @click="messagegetconfirm(this.confirm)"
                      data-bs-dismiss="modal"
                    >
                      <span>Yes</span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="search-box-content col-md-8 search-box02 flo02">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="tbl_search"
              id="hover-table"
            >
              <tbody>
                <tr>
                  <th width="20%">{{ i18ntext.lngText('no') }}</th>
                  <td width="50%">
                    <div class="d-flex">
                      <input autocomplete="off"
                      @change="autoUpdateProduct(form)"
                      @keyup.enter="CreateID()"
                      v-model="form.product_no"
                      class="string_zen_kana clear_text text input_text"
                      style="width: 360px;margin-right: 0;"
                      type="text"
                    />
                    <div style="cursor: pointer;" class="btn-addnew" data-bs-toggle="dropdown"
                    aria-expanded="false">
                    <span class="new">
                      <i class="fas fa-plus" style="padding-right: 5px; margin-top: -2px"> </i>
                      {{ i18ntext.lngText('new_pro') }}
                    </span>
                    <ul class="dropdown-menu">
                      <li>
                        <a
                          @click="
                            getMessage(
                              'Message Confirm',
                              'Do you want to create new product?',
                              'crate', code
                            )
                          "
                          class="dropdown-item btn btn-primary"
                          data-bs-toggle="modal"
                          data-bs-target="#staticBackdrop"
                          >{{ i18ntext.lngText('def_code') }}</a
                        >
                      </li>
                    </ul>
                    </div>
                    </div>
                  </td>
                </tr>
                <tr>
                  <th width="20%">{{ i18ntext.lngText('brand_name') }}</th>
                  <td width="50%">
                    <div class="dropdown d-flex">
                      <button
                        @click="getunit(form)"
                        @onmouseout="prooductboom()"
                        class="dropdown-toggle string_zen clear_text text select-menu"
                        type="button"
                        id="dropdownMenuButton1"
                        data-bs-toggle="dropdown"
                        aria-expanded="false"
                        size="50"
                      >
                        {{ form.brand_code }}
                        <i class="fa fa-chevron-down"></i>
                      </button>
                      <router-link to="/brands" class="btn-addnew">
                        <span class="new">{{ i18ntext.lngText('create_new') }}</span>
                      </router-link>
                      <div
                        class="dropdown-menu each-drop-menu"
                        aria-labelledby="dropdownMenuButton1"
                      >
                        <p>
                          <input autocomplete="off"
                            v-model="sBrand"
                            @input="searchBrand(sBrand)"
                            class="string_zen clear_text text search-pro-field"
                            size="50"
                            type="text"
                          />
                        </p>
                        <ul style="list-style: none" class="scrollable-menu">
                          <li v-for="brand in brands"
                            :value="brand.brand_code"
                            @click="getproduct(brand, form, 'brand')">
                            <div class="menu-item">
                              <p>{{ brand.brand_code }}</p>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </td>
                </tr>
                <tr>
                  <th width="20%">{{ i18ntext.lngText('gen_name') }}</th>
                  <td width="50%">
                    <input autocomplete="off"
                      @change="autoUpdateProduct(form)"
                      v-model="form.description"
                      class="string_zen clear_text text input_text"
                      style="width: 360px"
                      type="text"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="20%">{{ i18ntext.lngText('name_kh') }}</th>
                  <td width="50%">
                    <input autocomplete="off"
                      @change="autoUpdateProduct(form)"
                      v-model="form.description_2"
                      class="string_zen clear_text text input_text"
                      style="width: 360px"
                      type="text"
                    />
                  </td>
                </tr>
                <!-- <tr>
                  <th width="20%">{{ i18ntext.lngText('unit_type') }}</th>
                  <td width="50%">
                    <div class="dropdown d-flex">
                      <button
                        @click="getunit(form)"
                        @onmouseout="prooductboom()"
                        class="dropdown-toggle string_zen clear_text text select-menu"
                        type="button"
                        id="dropdownMenuButton1"
                        data-bs-toggle="dropdown"
                        aria-expanded="false"
                        size="50"
                      >
                        {{ form.stock_unit_of_measure_code }}
                        <i class="fa fa-chevron-down"></i>
                      </button>
                      <router-link to="/unitcode" class="btn-addnew">
                        <span class="new">{{ i18ntext.lngText('create_new') }}</span>
                      </router-link>
                      <div
                        class="dropdown-menu each-drop-menu"
                        aria-labelledby="dropdownMenuButton1"
                      >
                        <p>
                          <input autocomplete="off"
                            v-model="sUnit"
                            @input="searchUnit(sUnit)"
                            class="string_zen clear_text text search-pro-field"
                            size="50"
                            type="text"
                          />
                        </p>
                        <ul style="list-style: none" class="scrollable-menu">
                          <li
                            v-for="unit in uints"
                            :value="unit.unit_code"
                            @click="getproduct(unit, form, 'unitstock')"
                          >
                            <div class="menu-item">
                              <p>{{ unit.unit_code }}</p>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </td>
                </tr> -->

                <tr>
                  <th width="20%">{{ i18ntext.lngText('category') }}</th>
                  <td width="50%">
                    <div class="dropdown d-flex">
                      <button
                        @click="getunit(form)"
                        @onmouseout="prooductboom()"
                        class="dropdown-toggle string_zen clear_text text select-menu"
                        type="button"
                        id="dropdownMenuButton1"
                        data-bs-toggle="dropdown"
                        aria-expanded="false"
                        size="50"
                      >
                        {{ form.cat_code }}
                        <i class="fa fa-chevron-down"></i>
                      </button>
                      <router-link to="/category" class="btn-addnew">
                        <span class="new">{{ i18ntext.lngText('create_new') }}</span>
                      </router-link>
                      <div
                        class="dropdown-menu each-drop-menu"
                        aria-labelledby="dropdownMenuButton1"
                      >
                        <p>
                          <input autocomplete="off"
                            v-model="sCategory"
                            @input="searchCategory(sCategory)"
                            class="string_zen clear_text text search-pro-field"
                            size="50"
                            type="text"
                          />
                        </p>
                        <ul style="list-style: none" class="scrollable-menu">
                          <li
                            v-for="categor in category"
                            :value="categor.cat_code"
                            @click="getproduct(categor, form, 'category')"
                          >
                            <div class="menu-item">
                              <p>{{ categor.cat_name }}</p>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </td>
                </tr>

                <!-- mood -->
                <tr>
                  <th width="20%">{{ i18ntext.lngText('mood') }}</th>
                  <td width="50%">
                    <multi-select
                      style="
                        width: 360px !important;
                        float: left;
                        padding: 0;
                        display: flex;
                        "
                      @change="tests(form.sup_code)"
                      :options="optionsmodel"
                      :selected-options="itemss"
                      @select="onSelectx"
                    >
                    </multi-select>
                    <router-link
                      to="/product_model"
                      class="btn-addnew"
                      style="margin-top: 4px !important; display: -webkit-inline-box"
                    >
                      <span class="new">{{ i18ntext.lngText('create_new') }}</span>
                    </router-link>
                  </td>
                </tr>
                <tr>
                  <th width="20%">{{ i18ntext.lngText('sugar') }}</th>
                  <td width="50%">
                    <multi-select
                      style="
                        width: 360px !important;
                        float: left;
                        padding: 0;
                        display: flex;
                      "
                      @change="test(form.group_code)"
                      :options="options"
                      :selected-options="items"
                      @select="onSelect"
                    >
                    </multi-select>
                    <router-link
                      to="/group"
                      class="btn-addnew"
                      style="margin-top: 4px !important; display: -webkit-inline-box"
                    >
                      <span class="new">{{ i18ntext.lngText('create_new') }}</span>
                    </router-link>
                  </td>
                </tr>
                <tr>
                  <th width="20%">{{ i18ntext.lngText('unittype') }}</th>
                  <td width="50%">
                    <div class="dropdown d-flex">
                      <button
                        @click="getunit(form)"
                        @onmouseout="prooductboom()"
                        class="dropdown-toggle string_zen clear_text text select-menu"
                        type="button"
                        id="dropdownMenuButton1"
                        data-bs-toggle="dropdown"
                        aria-expanded="false"
                        size="50"
                      >
                        {{ form.variant_code }}
                        <i class="fa fa-chevron-down"></i>
                      </button>
                      <router-link to="/pro_unittype" class="btn-addnew">
                        <span class="new">{{ i18ntext.lngText('create_new') }}</span>
                      </router-link>
                      <div
                        class="dropdown-menu each-drop-menu"
                        aria-labelledby="dropdownMenuButton1"
                      >
                        <p>
                          <input autocomplete="off"
                            v-model="sCategory"
                            @input="searchCategory(sCategory)"
                            class="string_zen clear_text text search-pro-field"
                            size="50"
                            type="text"
                          />
                        </p>
                        <ul style="list-style: none" class="scrollable-menu">
                          <li v-for="unittype in unitType"
                            :value="unittype.unit_code"
                            @click="getproduct(unittype, form, 'UnitType')"
                          >
                            <div class="menu-item">
                              <p>{{ unittype.unit_code }}</p>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </td>
                </tr>
                <tr>
                  <th width="20%">{{ i18ntext.lngText('sale_price') }}</th>
                  <td width="50%">
                    <input autocomplete="off"
                      @change="autoUpdateProduct(form)"
                      v-model="form.unit_price"
                      class="string_zen clear_text text input_text"
                      style="width: 360px"
                      type="text"
                    />
                  </td>
                </tr>
                <tr>
                  <th width="20%">{{ i18ntext.lngText('currency') }}</th>
                  <td width="50%">
                    <input autocomplete="off"
                      :disabled="true"
                      v-model="company.main_Currency"
                      class="string_zen clear_text text input_text"
                      style="width: 360px"
                      type="text"
                    />
                  </td>
                </tr>
              </tbody>
            </table>
          </div>

          <div v-if="form.image_url != null" class="col-md-4 search-box02 flo02 outline-input-img" id="flo02">
            <div class="box-img02">
              <img
                alt="Image Product"
                :src="photo_path + form.image_url"
                @click="choosePhoto"
                style="width: 80% !important"
              />
              <input autocomplete="off"
                ref="choose"
                name="image"
                type="file"
                tabindex="10029"
                @change="imgUplaodProduct($event)"
              />
            </div>
          </div>
          <div
            v-else
            class="col-md-4 search-box02 flo02 outline-input-img"
            id="flo02"
          >
            <div class="box-img02">
              <img
                src="img/icon-img_upload.png"
                alt="Upload Image.."
                style="width: 170px; height: auto"
                @click="choosePhoto"
              />
              <p class="text-upload">
                Drop an image or <br /><span style="text-decoration: underline"
                  >Upload file</span
                >
              </p>
              <input autocomplete="off"
                ref="choose"
                name="image"
                type="file"
                tabindex="10029"
                @change="imgUplaodProduct($event)"
              />
            </div>
          </div>

        </div>
        <div>
            <h4 style="color: #fff; font-weight: 400;">Add Size</h4>
        </div>
        <div class="box">
          <div class="box-content">
            <table
              width="100%"
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="tbl_list tbl_stripe"
              id="myTable"
            >
              <thead>
                <tr>
                  <th width="10%" class="tb-pro-th">{{ i18ntext.lngText('sizeno') }}</th>
                  <th width="20%" class="tb-pro-th">{{ i18ntext.lngText('description') }}</th>
                  <th width="10%" class="tb-pro-th">{{ i18ntext.lngText('size') }}</th>
                  <th width="9%" class="tb-pro-th">{{ i18ntext.lngText('quantity') }}</th>
                  <th width="9%" class="tb-pro-th">{{ i18ntext.lngText('sale_price') }}</th>
                  <th width="9%" class="tb-pro-th"></th>
                </tr>
                <tr v-for="form_line in form_lines">
                  <th>
                    <input autocomplete="off"
                      :disabled="true"
                      v-model="form_line.product_no"
                      @change="autoUpdate(form_line)"
                      class="string_zen clear_text text"
                      size="50"
                      type="text"
                      style="width: 80% !important"
                    />
                  </th>
                  <th>
                    <input autocomplete="off"
                      v-model="form_line.description"
                      @change="autoUpdate(form_line)"
                      class="string_zen clear_text text"
                      size="50"
                      type="text"
                      style="width: 80% !important"
                    />
                  </th>
                  <th>
                    <div class="dropdown">
                      <button
                        @click="getunit(form_line.product_no)"
                        @onmouseout="prooductboom(form_line)"
                        class="dropdown-toggle string_zen clear_text text select-menu-button"
                        type="button"
                        id="dropdownMenuButton1"
                        data-bs-toggle="dropdown"
                        aria-expanded="false"
                        size="50"
                        style="height: 25px !important;"

                      >
                        {{ form_line.variant_unit_of_measure_code }}
                      </button>
                      <div
                        class="dropdown-menu each-drop-menu"
                        aria-labelledby="dropdownMenuButton1"
                      >
                        <p>
                          <input autocomplete="off"
                            v-model="txtsearch"
                            @input="searchproduct(txtsearch)"
                            class="string_zen clear_text text search-pro-field"
                            size="50"
                            type="text"
                          />
                        </p>
                        <ul style="list-style: none" class="scrollable-menu">
                          <li v-for="boompro in unit_products"
                            @click="getproduct(boompro, form_line, 'linkunit')"
                          >
                            <div class="menu-item">
                              <p>{{ boompro.unit_code }}</p>
                            </div>
                          </li>
                        </ul>
                      </div>
                    </div>
                  </th>
                  <th>
                    <input autocomplete="off"
                      v-model="form_line.quantity_per_unit"
                      @change="autoUpdate(form_line)"
                      class="string_zen clear_text text"
                      size="50"
                      type="text"
                      style="width: 80% !important"
                    />
                  </th>
                  <th>
                    <input autocomplete="off"
                      v-model="form_line.unit_price"
                      @change="autoUpdate(form_line)"
                      class="string_zen clear_text text"
                      size="50"
                      type="text"
                      style="width: 80% !important"
                    />
                  </th>
                  <th class="bnt-02">
                    <div
                      class="button type2"
                      id="uniform-undefined"
                      data-bs-toggle="modal"
                      data-bs-target="#staticBackdrop"
                      @click="
                        getMessage(
                          'Message',
                          'Do yout want to Delete this recode. [' + form_line.id + ']',
                          'delelink',
                          form_line.id
                        )
                      "
                    >
                      <span
                        ><input autocomplete="off"
                          type="button"
                          class="type2"
                          style="opacity: 0; width: 54px"
                          tabindex="10025"
                          value="display"
                        /><i class="fa fa-trash" aria-hidden="true"></i> {{ i18ntext.lngText('delete') }}</span
                      >
                    </div>
                  </th>
                </tr>
              </thead>
              <vue-countdown
                style="display: none"
                v-if="counting"
                :time="60000"
                @end="onCountdownEnd"
                v-slot="{ totalSeconds }"
                >Fetch again {{ totalSeconds }} seconds later</vue-countdown
              >
            </table>
          </div>
          <div class="box-footer-pagination" style="text-align: left">
            <div class="pagination">
              <div class="pagination">
                <a
                  @click="myFunction()"
                  class="btn-radius bt-pn btn btn-sm show"
                  href="#"
                  style="float: left; color: rgb(248, 245, 180); margin-top: -2px"
                  ><i
                    class="fas fa-plus"
                    style="padding-right: 5px; margin-top: -2px"
                  ></i>
                  {{ i18ntext.lngText('gen_code') }}
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <!-- boom product -->
  <div
    class="modal fade ui-modal"
    id="staticBackdropss"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticBackdropss"
    aria-hidden="true"
  >
    <div class="modal-dialog" id="nonbackgroundboom">
      <div
        class="modal-content ui-dialog"
        style="box-shadow: none; border-radius: 0 !important; height: 100%"
      >
        <div class="modal-header">
          <h5 class="modal-title" id="staticBackdropLabel">
            {{ i18ntext.lngText('boom_pro') }} : {{ form.product_no }} , {{ form.description }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="box-content">
          <table
            width="100%"
            border="0"
            cellpadding="0"
            cellspacing="0"
            class="tbl_list tbl_stripe"
            id="myTable"
          >
            <thead>
              <tr>
                <th width="15%">{{ i18ntext.lngText('pro_code') }}</th>
                <th width="20%">{{ i18ntext.lngText('description') }}</th>
                <th width="15%">{{ i18ntext.lngText('quantity') }}</th>
                <th width="15%">{{ i18ntext.lngText('unit_type') }}</th>
                <th width="15%"></th>
              </tr>
              <tr v-for="form_line in boomproducts">
                <th>
                  <div class="dropdown">
                    <button
                      @onmouseout="prooductboom(form_line)"
                      class="dropdown-toggle string_zen clear_text text"
                      type="button"
                      id="dropdownMenuButton1"
                      data-bs-toggle="dropdown"
                      aria-expanded="false"
                      size="50"
                      style="
                        width: 80% !important;
                        padding: 7px 11px 5px 7px;
                        border: none;
                      "
                    >
                      {{ form_line.boom_product_id }}
                    </button>
                    <div
                      class="dropdown-menu"
                      aria-labelledby="dropdownMenuButton1"
                      style="
                        max-height: 400px;
                        width: 250px;
                        scroll-behavior: smooth;
                        padding: 5px;
                        margin: 5px;
                        box-shadow: 1px 1px 5px #141417;
                      "
                    >
                      <p>
                        <input autocomplete="off"
                          v-model="txtsearch"
                          @input="searchproduct(txtsearch)"
                          class="string_zen clear_text text"
                          size="50"
                          type="text"
                          style="
                            width: 98% !important;
                            border: 1px teal solid;
                            border-radius: 1px;
                            height: 30px;
                          "
                        />
                      </p>
                      <ul style="list-style: none" class="scrollable-menu">
                        <li
                          v-for="(boompro, i) in boompros"
                          :key="i"
                          @click="getproduct(boompro, form_line, 'boomproducr')"
                        >
                          <div class="menu-item">
                            <p style="color: blue">{{ boompro.product_no }}</p>
                            <p>{{ boompro.description }}</p>
                          </div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </th>
                <th>
                  <input autocomplete="off"
                    v-model="form_line.description"
                    @change="proboomAutoSave(form_line)"
                    class="string_zen clear_text text"
                    size="50"
                    type="text"
                    style="width: 80% !important; padding: 7px 11px 5px 7px"
                  />
                </th>
                <th>
                  <input autocomplete="off"
                    v-model="form_line.quantity"
                    @change="proboomAutoSave(form_line)"
                    class="string_zen clear_text text"
                    size="50"
                    type="text"
                    style="width: 80% !important ; padding: 7px 11px 5px 7px"
                  />
                </th>
                <th>
                  <div class="dropdown">
                    <button
                      @click="getboomnit(form_line.boom_product_id)"
                      @onmouseout="prooductboom(form_line)"
                      class="dropdown-toggle string_zen clear_text text"
                      type="button"
                      id="dropdownMenuButton1"
                      data-bs-toggle="dropdown"
                      aria-expanded="false"
                      size="50"
                      style="
                        width: 80% !important;
                        padding: 7px 11px 7px 19px;
                        border: none;
                      "
                    >
                      {{ form_line.bom_unit_of_measure_code }}
                    </button>
                    <div
                      class="dropdown-menu"
                      aria-labelledby="dropdownMenuButton1"
                      style="
                        max-height: 400px;
                        width: 250px;
                        scroll-behavior: smooth;
                        padding: 5px;
                        margin: 5px;
                        box-shadow: 1px 1px 5px #141417;
                        border: none;
                      "
                    >
                      <p>
                        <input autocomplete="off"
                          v-model="txtsearch"
                          @input="searchproduct(txtsearch)"
                          class="string_zen clear_text text"
                          size="50"
                          type="text"
                          style="
                            width: 98% !important;
                            border: 1px teal solid;
                            border-radius: 1px;
                            height: 30px;
                          "
                        />
                      </p>
                      <ul style="list-style: none" class="scrollable-menu">
                        <li
                          v-for="(boompro, i) in uints"
                          :key="i"
                          @click="getproduct(boompro, form_line, 'boomunit')"
                        >
                          <div class="menu-item">
                            <p>{{ boompro.variant_unit_of_measure_code }}</p>
                          </div>
                        </li>
                      </ul>
                    </div>
                  </div>
                </th>

                <th class="bnt-02">
                  <div
                    class="button type2"
                    id="uniform-undefined"
                    @click="deletboomlink(form_line.id)"
                  >
                    <span
                      ><input autocomplete="off"
                        type="button"
                        class="type2"
                        style="opacity: 0; width: 54px"
                      /><i class="fa fa-trash" aria-hidden="true"></i> {{ i18ntext.lngText('delete') }}</span
                    >
                  </div>
                </th>
              </tr>
            </thead>
          </table>
        </div>
        <div class="modal-footer">
          <a
            @click="boomcratenew()"
            class="btn-radius bt-pn btn btn-sm show"
            href="#"
            data-bs-toggle="dropdown"
            aria-expanded="true"
            style="float: left; color: rgb(248, 245, 180); margin-top: -2px"
            ><i class="fas fa-plus" style="padding-right: 5px; margin-top: -2px"></i>
            {{ i18ntext.lngText('add_new') }}
            </a
          >
          <div class="button type2" id="uniform-undefined"></div>
          <div class="button type2" id="uniform-undefined"></div>
        </div>
      </div>
    </div>
  </div>
  <!-- Print part -->
  <div
    class="modal fade ui-modal"
    id="staticboomId"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticBackdropss"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticboomId">
            <i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText('print') }} : {{ form.product_no }} ,
            {{ form.description }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" id="purchaseorder">
          <div class="card">
            <div class="card-body">
              <div class="mt-3 pro-dt-print">
                <div style="padding: 0 50px 0 50px">
                  <div>
                    <div class="col-md-12">
                      <div class="text-center">
                        <h3 class="title-purchase">{{ i18ntext.lngText('pro_det') }}</h3>
                      </div>
                    </div>

                    <div class="col-container">
                      <div
                        class="row2-col1 mg-top"
                        style="width: 65%; display: flex; flex-direction: row"
                      >
                        <div class="clientlogo">
                          <img :src="'/img/product/' + form.image_url" alt="Sup" />
                        </div>
                        <div class="p-detial">
                          <p class="p-mg info-pad">
                            <span id="bold">{{ i18ntext.lngText('name') }} :</span>
                            <span id="fon">{{ form.description }}</span>
                          </p>
                          <p class="p-mg info-pad">
                            <span id="bold">{{ i18ntext.lngText('product_no') }}. :</span>
                            <span id="fon">{{ form.description }}</span>
                          </p>
                          <p class="p-mg info-pad">
                            <span id="bold">{{ i18ntext.lngText('barcode') }} :</span>
                            <span id="fon">{{ form.brand_code }}</span>
                          </p>
                          <p class="p-mg info-pad">
                            <span id="bold">{{ i18ntext.lngText('stock_unit') }} :</span>
                            <span id="fon">{{ form.stock_unit_of_measure_code }}</span>
                          </p>
                          <p class="p-mg info-pad">
                            <span id="bold">{{ i18ntext.lngText('reorder') }} :</span>
                            <span id="fon">{{ form.reorder_point }}</span>
                          </p>
                          <p class="p-mg info-pad">
                            <span id="bold">{{ i18ntext.lngText('price') }} :</span>
                            <span id="fon">{{ form.unit_price }}</span>
                          </p>
                        </div>
                      </div>
                      <div class="row2-col2 mg-top">
                        <p class="p-mg info-pad">
                          <span id="bold">{{ i18ntext.lngText('sup_name') }} :</span>
                          <span id="fon">{{ getSuppliyerviews.sup_name }}</span>
                        </p>
                        <p class="p-mg info-pad">
                          <span id="bold">{{ i18ntext.lngText('email') }} :</span>
                          <span id="fon">{{ getSuppliyerviews.email }}</span>
                        </p>
                        <p class="p-mg info-pad">
                          <span id="bold">{{ i18ntext.lngText('phone') }} :</span>
                          <span id="fon"
                            >{{ getSuppliyerviews.phone_no }}/{{
                              getSuppliyerviews.phone_no_2
                            }}</span
                          >
                        </p>
                        <p class="p-mg info-pad">
                          <span id="bold">{{ i18ntext.lngText('address') }} :</span>
                          <span id="fon">{{ getSuppliyerviews.address }}</span>
                        </p>
                        <p class="p-mg info-pad">
                          <span id="bold">{{ i18ntext.lngText('fax_number') }}:</span>
                          <span id="fon">{{ getSuppliyerviews.fax_no }}</span>
                        </p>
                        <p class="p-mg info-pad">
                          <span id="bold">{{ i18ntext.lngText('contactname') }} :</span>
                          <span id="fon">{{ getSuppliyerviews.contact_name }}</span>
                        </p>
                        <p class="p-mg info-pad">
                          <span id="bold">{{ i18ntext.lngText('contactphone') }} :</span>
                          <span id="fon">{{ getSuppliyerviews.contact_phone }}</span>
                        </p>
                      </div>
                    </div>
                    <div class="my-2 justify-content-center">
                      <table id="pr-tb">
                        <thead>
                          <tr class="p-bg">
                            <th class="text-center" style="width: 8em">{{ i18ntext.lngText('no') }}</th>
                            <th class="text-center" style="width: 15em">{{ i18ntext.lngText('product_no') }}</th>
                            <th class="text-center" style="width: 15em">{{ i18ntext.lngText('description') }}</th>
                            <th class="text-center" style="width: 15em">{{ i18ntext.lngText('quantity') }}</th>
                            <th class="text-center" style="width: 10em">{{ i18ntext.lngText('price') }}</th>
                            <th class="text-center" style="width: 10em">{{ i18ntext.lngText('currency') }}</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr v-for="(form_line, index) in form_lines" :key="index">
                            <td style="text-align: center; padding-left: 0 !important">
                              {{ index + 1 }}
                            </td>
                            <td>{{ form_line.product_no }}</td>
                            <td>{{ form_line.description }}</td>
                            <td>
                              {{ form_line.quantity_per_unit }}
                              {{ form.stock_unit_of_measure_code }}/
                              {{ form_line.variant_unit_of_measure_code }}
                            </td>
                            <td>{{ form_line.unit_price }}</td>
                            <td>{{ form_line.curency_code }}</td>
                          </tr>
                        </tbody>
                      </table>
                    </div>

                    <hr />
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <a
            v-print="'#purchaseorder'"
            class="btn-purchase btn-light text-capitalize border-0"
            data-mdb-ripple-color="dark"
            ><i class="fas fa-print text-primary"></i> {{ i18ntext.lngText('print') }}</a
          >
        </div>
      </div>
    </div>
  </div>

  <!-- ===================================== -->

  <span class="marker"></span>

  <div id="myModal" class="lskymodal">
    <div class="lskymodal-content">
      <p><i class="fa fa-check" aria-hidden="true"></i> {{ massege }}</p>
    </div>
  </div>
  <Footer />
  <UserInfo />
</template>
<script>
import Logo from "../logo.vue";
import Auth from "../../auth/Auth.js";
import axios from "axios";
import Header from "../Header.vue";
import Footer from "../footer.vue";
import moment from "moment";
import print from "vue3-print-nb";
import { MultiSelect } from "vue-search-select";
import { toNumber } from "@vue/shared";
import { log } from "mathjs";
import i18n from "../../i18n/i18n";
import UserInfo from "../UserInfo.vue";

export default {
  components: { Header, Footer, MultiSelect, Logo,UserInfo },
  directives: { print },
  data() {
    return {
      i18ntext: i18n,
      options: [],
      optionsmodel: [],
      items: [],
      itemss: [],
      brands: [],
      group: "",
      category: [],
      unitType: [],
      massege: "",
      photo_path: "/img/product/",
      pending: false,
      stockcount:0,
      count_expire:0,
      img: "",
      dateformart: "",
      code: "",
      confirm: "",
      title: "",
      message: "",
      products: "",
      boomunits: [],
      productcode: "",
      line_pro_id: "",
      line_pro_de: "",
      boomproducts: [],
      txtsearch: "",
      suppliyers: [],
      getSuppliyerviews: [],
      uints: [],
      boompro: [],
      Currency: [],
      form: {
        product_no: "",
        product_barcode: "",
        description: "",
        description_2: "",
        type: "",
        image_url: null,
        stock_unit_of_measure_code: "",
        purche_unit_of_measure_code: "",
        brand_code: "",
        group_code: "",
        cat_code: "",
        sup_code: "",
        variant_code: "",
        unit_price: "",
        inactived: "",
        reorder_point: "",
        created_by: "",
      },
      form_lines: {
        id: "",
        product_no: "",
        image_url: "",
        description: "",
        variant_unit_of_measure_code: "",
        quantity_per_unit: "",
        unit_price: "",
        varaiant: "",
      },
      company: {
        main_Currency: "",
      },
      unit_products: [],
        sBrand : '',
        sUnit : '',
        sCategory : '',
        sSupplier: '',
    };
  },
  // watch: {},
  async mounted() {
    if (Auth.check()) {
        if(!Auth.checkPermission('PRODUCT_ALL')){
            this.$router.push('/dashboard');
        }
    }
    try {
      if (this.$route.query.id.trim() != "undefined") {
        this.products = this.$route.query.id;
        this.productcode = this.products;
      }
    } catch (error) {
      this.products = "undefined";
    }
    this.getstockalert();
    this.getExpireAlert();
    this.getUnite();
    this.getdatagroup();
    this.getdatamodel();
    this.getUnitType();
    this.getCatName();
    this.getBrands();
    this.getSuppliyer();
    this.getEdite();
    this.getEdites();
    this.getEditeUnitType();
    this.form_lines = null;
    this.prooductboom();
    this.massege = "save successful.";
    this.getcompany();
    this.getUnitProduct();

  },
  methods: {

    async searchSupplier(search){
      if(search != ''){
        axios.get('api/v1/suppliyers/searchSupplier/'+search)
            .then(res => {
              this.suppliyers = res.data
            })
      }else{
        this.getSuppliyer()
      }
    },
    async searchCategory(search){
      if(search != ''){
        axios.get('api/v1/category/searchCategory/'+search)
            .then(res => {
              this.category = res.data
            })
      }else{
        this.getCatName()
      }
    },

    async searchUnit(search){
      if(search != ''){
        axios.get('api/v1/unit/searchUnittype/'+search)
            .then(res => {
              this.uints = res.data
            })
      }else{
        this.getUnite()
      }
    },

    async searchBrand(search){
      if(search != ''){
        axios.get('api/v1/brand/searchBrand/'+search)
            .then(res => {
              this.brands = res.data.data
            })
      }else{
        this.getBrands()
      }
    },
    async test(z) {
      try {
        var y = z.split(",");
        for (var i = 0; i <= y.length; i++) {
          if (y[i].trim() != "undefined" && y[i] != "") {
            this.items.push({
              value: y[i],
              text: y[i],
            });
          }
        }
      } catch (error) {}
    },
    async tests(z) {
      try {
        var y = z.split(",");
        for (var i = 0; i <= y.length; i++) {
          if (y[i].trim() != "undefined" && y[i] != "") {
            this.itemss.push({
              value: y[i],
              text: y[i],
            });
          }
        }
      } catch (error) {}
    },
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
  },
  async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    onSelect(x) {
      this.items = x;
      if (this.items.length >= 0) {
        this.form.group_code = "";
        x.forEach((e) => {
          if (e.value != null) {
            if (this.form.group_code == "") {
              this.form.group_code = e.value;
            } else {
              this.form.group_code = this.form.group_code + "," + e.value;
            }
          }
        });
        this.autoUpdateProduct(this.form);
      }
    },
    onSelectx(x) {
      this.itemss = x;
      if (this.itemss.length >= 0) {
        this.form.sup_code = "";
        x.forEach((e) => {
          if (e.value != null) {
            if (this.form.sup_code == "") {
              this.form.sup_code = e.value;
            } else {
              this.form.sup_code = this.form.sup_code + "," + e.value;
            }
          }
        });
        this.autoUpdateProduct(this.form);
      }
    },
    getType(text) {
      this.form.type = text;
      this.autoUpdateProduct(this.form);
      this.messagebox();
    },
    CreateID() {
      this.form.created_by = Auth.user.user_name;
      axios.post("/api/v1/products/createID", this.form).then((response) => {
        this.form = response.data;
        this.form.forEach((element) => {
          this.form.product_no = element.product_no;
          this.$router.push({
            name: "Product",
            query: { id: element.product_no },
          });
          this.products = element.product_no;
          this.getEdite();
          this.getEdites();
          this.getEditeUnitType();
        });
        this.messagebox();
      });
    },

    btnGenerate_code($status) {
      this.crateNewsProduct();
    },

    myFunction() {
      if (this.products != "undefined" && this.products != "") {
        axios.post("/api/v1/products/create/" + this.products).then((response) => {
          this.form_lines = response.data;
        });
      }
    },
    getUnite() {
      axios.get("/api/v1/getunite").then((response) => {
        this.uints = response.data;
      });
    },
    getBrands() {
      axios.get("/api/v1/brands/getdata").then((response) => {
        this.brands = response.data;
      });
    },
    async getdatagroup() {
      await axios.get("/api/v1/progroups/getdatagroup").then((response) => {
        response.data.forEach((element) => {
          this.options.push({
            value: element.group_name,
            text: element.group_name,
          });
        });
      });
    },
    async getdatamodel() {
      await axios.get("/api/v1/promodel/getdatagroup").then((response) => {
        response.data.forEach((element) => {
          this.optionsmodel.push({
            value: element.group_name,
            text: element.group_name,
          });
        });
      });
    },
    getCatName() {
      axios.get("/api/v1/category/getCatName").then((response) => {
        this.category = response.data;
      });
    },
    getUnitType() {
      axios.get("/api/v1/unittype").then((response) => {
        this.unitType = response.data.print;
        console.log(this.unitType);
      });

    },
    getSuppliyer() {
      axios.get("/api/v1/suppliyers/getdatasub").then((response) => {
        this.suppliyers = response.data;
      });
    },
    crateNewsProduct() {
      this.items = {}
      this.itemss = {}
      this.unitType = {};
      this.form.group_code = ""
      this.form.variant_code = ""
      this.form.sup_code = ""
      this.form.created_by = Auth.user.user_code;
      axios.post("/api/v1/products/create", this.form).then((response) => {
        this.form = response.data;
        this.form.forEach((element) => {
          this.form.product_no = element.product_no;
          this.$router.push({
            name: "Product",
            query: { id: element.product_no },
          });
          this.products = element.product_no;
          this.getEdite();
          this.getEdites();
          this.getEditeUnitType();
        });
      });
    },
    async getUnitProduct() {
      await axios.get("api/v1/getunite").then((res) => {
        this.unit_products = res.data;
      });
    },

    selectdataProduct() {
      axios.get("/api/v1/products/create/").then((response) => {
        this.form = response.data;
        this.form.forEach((element) => {
          axios
            .get("/api/v1/products/editlink/" + element.product_no)
            .then((response) => {
              this.form_lines = response.data;
            });
        });
      });
    },
    getEdite() {
      if (this.products.trim() != "undefined") {
        axios.get("/api/v1/products/edite/" + this.products).then((response) => {
          this.form = response.data;
          this.test(this.form.group_code);
        }),
          axios.get("/api/v1/products/editlink/" + this.products).then((response) => {
            this.form_lines = response.data;
          });
      }
    },
    getEdites() {
      if (this.products.trim() != "undefined") {
        axios.get("/api/v1/products/edite/" + this.products).then((response) => {
          this.form = response.data;
          this.tests(this.form.sup_code);
        }),
          axios.get("/api/v1/products/editlink/" + this.products).then((response) => {
            this.form_lines = response.data;
          });
      }
    },
    getEditeUnitType() {
      if (this.products.trim() != "undefined") {
        axios.get("/api/v1/products/edite/" + this.products).then((response) => {
          this.form = response.data;
          this.unittype(this.form.variant_code);
        }),
          axios.get("/api/v1/products/editlink/" + this.products).then((response) => {
            this.form_lines = response.data;
          });
      }
    },
    deleteUnit(linkId) {
      if (linkId != null) {
        axios.get("/api/v1/products/destLink/" + linkId).then((response) => {
          this.form_lines = response.data;
        });
      }
    },
    deletboomlink(linkId) {
      if (linkId != null) {
        axios.get("/api/v1/boomproduct/destroy/" + linkId).then((response) => {
          this.boomproducts = response.data;
        });
      }
    },
    getMessage(title, messsatetext, confirm, id) {
      this.title = title;
      this.message = messsatetext;
      this.confirm = confirm;
      this.code = id;
    },
    messagegetconfirm(confirm) {
      if (confirm == "crate") {
        this.btnGenerate_code("crate");
      }
      if (confirm == "delelink") {
        this.deleteUnit(this.code);
      }
      if (confirm == "boomlink") {
        this.deletboomlink(this.code);
      }
    },
    created() {
      this.pending = false;
      fetch("https://example-api.com/image")
        .then((data) => (this.img = data.img))
        .finally(() => {
          this.pending = false;
        });
    },

    async autoUpdate(product_link, imageurl) {
      var x = imageurl;
      if (product_link.product_no != "") {
        if (product_link.status == "stock") {
          product_link.stock_unit_of_measure_code =
            product_link.variant_unit_of_measure_code;
          product_link.quantity_per_unit = 1;

          product_link.unit_price = this.form.unit_price;

        }
        window.axios
          .post("/api/v1/products/updateProductLinke/" + product_link.id, product_link)
          .then((res) => {
            x = res.data;
            imageurl = product_link.image_url;
            if (
              this.form.stock_unit_of_measure_code !=
              product_link.variant_unit_of_measure_code || this.form.unit_price != product_link.unit_price
            ) {
              if (product_link.status == "stock") {
                this.form.stock_unit_of_measure_code =
                  product_link.variant_unit_of_measure_code;

                  this.form.unit_price = product_link.unit_price;

                this.autoUpdateProduct(this.form);
              }
            }
            this.messagebox();
          });
      }
    },
    checkUnitcode() {
      this.form_lines.forEach((element) => {
        if (
          (element.status == "stock") &
          (this.form.stock_unit_of_measure_code != element.stock_unit_of_measure_code)
        ) {
          element.stock_unit_of_measure_code = this.form.stock_unit_of_measure_code;
          element.variant_unit_of_measure_code = this.form.stock_unit_of_measure_code;
          this.autoUpdate(element);
        }
      });
    },
    autoUpdateProduct(product) {
      if (product.product_no != "") {
        axios
          .post("/api/v1/products/update/" + product.product_no, product)
          .then((response) => {
            this.form = response.data;
            axios.get("/api/v1/products/editlink/" + this.products).then((response) => {
              this.form_lines = response.data;
            });
            this.messagebox();
          });
      }
    },
    getboomproduct(product) {
      axios.post("/api/v1/boomproduct/" + product).then((response) => {
        this.boomproducts = response.data;
      });
    },
    getCurrency() {
      axios.get("/api/v1/curency/getdata/").then((data) => {
        this.Currency = data.data;
      });
    },
    showboom() {
      axios.get("/api/v1/boomproduct/show/" + this.products).then((response) => {
        this.boomproducts = response.data;
      });
    },

    prooductboom() {
      axios.get("/api/v1/getproductboom/" + this.products).then((response) => {
        this.boompros = response.data;
      });
    },
    getproduct(boom, product, txt) {
      if (txt == "boomproducr") {
        product.boom_product_id = boom.product_no;
        product.description = boom.description;
        this.proboomAutoSave(product);
        this.prooductboom();
      } else if (txt == "currency") {
        product.curency_code = boom.curency;
        this.autoUpdateProduct(product);
        this.prooductboom();
      } else if (txt == "boomunit") {
        product.bom_unit_of_measure_code = boom.variant_unit_of_measure_code;
        this.proboomAutoSave(product);
        this.prooductboom();
      } else if (txt == "linkunit") {
        product.variant_unit_of_measure_code = boom.unit_code;
        this.autoUpdate(product);
      } else if (txt == "groupproduct") {
        product.group_code = boom.group_code;
        this.autoUpdateProduct(product);
        this.prooductboom();
      } else if (txt == "suppliyer") {
        product.sup_code = boom.sup_code;
        this.autoUpdateProduct(product);
        this.prooductboom();
      } else if (txt == "category") {
        product.cat_code = boom.cat_name;
        this.autoUpdateProduct(product);
        this.prooductboom();
      } else if (txt == "brand") {
        product.brand_code = boom.brand_code;
        this.autoUpdateProduct(product);
        this.prooductboom();
      } else if (txt == "unitstock") {
        product.stock_unit_of_measure_code = boom.unit_code;
        this.autoUpdateProduct(product);
        this.prooductboom();
      }else if (txt == "UnitType") {
        product.variant_code = boom.unit_code;
        this.autoUpdateProduct(product);
        this.prooductboom();
      }
    },
    proboomAutoSave(product) {
      axios.put("/api/v1/boomproduct/update/" + product.id, product).then((response) => {
        this.prooductboom();
      });
      this.messagebox();
      this.prooductboom();
    },
    getboomnit(proid) {
      axios.post("/api/v1/products/getboomline/" + proid).then((response) => {
        this.uints = response.data;
      });
    },
    searchproduct(txt) {
      axios.get("/api/v1/boomproduct/search/" + txt).then((response) => {
        this.boompros = response.data;
      });
    },
    boomcratenew() {
      axios.post("/api/v1/boomcreate/" + this.products).then((response) => {
        this.boomproducts = response.data;
      });
    },
    getunit(proid) {
      axios.post("/api/v1/products/getlinkunit/" + proid).then((response) => {
        this.unit_products = response.data;
      });
    },
    messagebox() {
      var modal = document.getElementById("myModal");
      modal.style.display = "block";
      setTimeout(() => (modal.style.display = "none"), 1500);
    },
    async getcompany() {
      await axios.get("/api/v1/getSetup/").then((response) => {
        this.company = response.data;
        this.dateformart = moment(new Date()).format("YYYY-MM-DD");
      });
    },

    print() {
      var printContents = document.getElementById("purchaseorder").innerHTML;
      var mywindow;
      mywindow = window.open("", "mydiv", "height=800,width=1200,scrollbars=yes", "");
      mywindow.document.write("<html><head><title>my div</title>");
      mywindow.document.write('<link rel="stylesheet" href="css/style.css">');
      mywindow.document.write('<link rel="stylesheet" href="css/app.css">');
      mywindow.document.write('<link rel="stylesheet" href="css/pstyle.css">');
      mywindow.document.write("</head><body>");
      mywindow.document.write(printContents);
      mywindow.document.write("</body> </html>");
      setTimeout(() => {
        mywindow.document.close();
        mywindow.focus();
        mywindow.print();
        setTimeout(function () {
          window.close();
        }, 1);
        cb();
      }, 1000);
    },
    imgUplaod($e, form_line, imageurl) {
      form_line.image_url = $e.target.files[0];
      const reader = new FileReader();
      reader.onload = ($e) => {
        form_line.image_url = $e.target.result;
        this.autoUpdate(form_line, imageurl);
      };
      if (form_line.image_url) {
        if (/\.(jpg?g|png|gif)$/i.test(form_line.image_url.name)) {
          reader.readAsDataURL(form_line.image_url);
        }
      }
    },
    imgUplaodProduct(e) {
      this.form.image_url = e.target.files[0];
      const reader = new FileReader();
      reader.onload = (e) => {
        this.form.image_url = e.target.result;
        console.log(this.form.image_url);
        this.autoUpdateProduct(this.form);
      };
      if (this.form.image_url) {
        if (/\.(jpg?g|png|gif)$/i.test(this.form.image_url.name)) {
          reader.readAsDataURL(this.form.image_url);
          console.log(this.form.image_url);
        }
      }
    },
    choosePhoto() {
      this.$refs.choose.click();
    },
  },
  startCountdown: function () {
    this.counting = true;
  },
  onCountdownEnd: function () {
    this.counting = false;
  },
};
</script>
<style>
.dropdown > .icon {
  display: none;
}

.item {
  width: 100% !important;
}
</style>
